apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Neil Conway <...@cs.berkeley.edu>
Subject Re: [PATCH] Add support for Berkeley DB 4.8
Date Fri, 18 Sep 2009 23:52:35 GMT
On Fri, Sep 18, 2009 at 4:13 PM, Arfrever Frehtes Taifersar Arahesis
<arfrever.fta@gmail.com> wrote:
> I'm attaching the patch which adds support for Berkeley DB 4.8. The patch
> should be applied to APR trunk (2.0) and 1.4.x and 1.3.x branches of APR-Util.

I notice that the configure support for DB 4.0, 4.1, and 4.2 checks
under /usr/local by default, e.g.

    places="std /usr/local /usr/local/BerkeleyDB.4.2 /boot/home/config"

whereas support for DB >= 4.3 does not, e.g.

    places="std /usr/local/BerkeleyDB.4.3 /boot/home/config"

Is there a rationale for this inconsistency?

Otherwise, patch looks good, +1 from me.

Neil

Mime
View raw message